[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Find

Find a data item in the tree.

## Declaration

Source position: avl_tree.pp line 78

`public function TAVLTree.Find(`
`Data: Pointer`
`):TAVLTreeNode;`

## Arguments

`Data` |  | Data item to search for.

## Function result

Tree node corresponding to Data item.

## Description

Find uses the default OnCompare comparing function to find the Data pointer in the tree. It returns the TAVLTreeNode instance that results in a successful compare with the Data pointer, or Nil if none is found.

The default OnCompare function compares the actual pointers, which means that by default Find will give the same result as FindPointer.

## See also

OnCompare |  | Compare function used when comparing nodes
FindKey |  | Find a data item in the tree using alternate compare mechanism

Documentation generated on: Feb 26 2014